- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QTexture2DArray
- Qt 6.7.3 Reference Documentation

# QTexture2DArray Class

class Qt3DRender::QTexture2DArray

A QAbstractTexture with a Target2DArray target format. More...

Header: | #include <Qt3DRender/QTexture>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | Texture2DArray
Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Public Functions

| QTexture2DArray(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

## Member Function Documentation

### `[explicit]` QTexture2DArray::QTexture2DArray(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DRender::QTexture2DArray instance with parent as parent.